<ion-content fullscreen class="ion-padding">
    <ion-list>
        <ion-title>Select a Category</ion-title>&nbsp;&nbsp;
        <form class = "form" [formGroup]="cat_form" (ngSubmit)="onSubmit()">
          <div class="categories" *ngFor="let c of categories$ | async">
            <ion-item lines="none">
              <ion-label>{{c.name}}</ion-label>
              <ion-checkbox  [value]="c.id" (ionChange)="onCheckboxChange($event)"></ion-checkbox>
            </ion-item>
          </div>
            <div class="button">
              <ion-button expand="block" type="submit " shape="round">Select</ion-button>
            </div>
        </form>
    </ion-list>
</ion-content>
